asyncappender.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/helpers/queue.h>`
`#include <log4cplus/appender.h>`
`#include <log4cplus/thread/threads.h>`
`#include <log4cplus/helpers/appenderattachableimpl.h>`
Include dependency graph for asyncappender.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::AsyncAppender
| This Appender is a wrapper to which other appenders can be attached. More...

## Namespaces

namespace | log4cplus

## Typedefs

typedef helpers::SharedObjectPtr< AsyncAppender > | log4cplus::AsyncAppenderPtr